commit 866e109fc12752b1679e0b59baf40326d421a03f
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Dec 3 10:09:49 2019 -0800

    Version bumped to 0.12.0
    
    A maintenance release to support X.Org X Server 1.20.
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit f0c0896a83e8545aa3b779934b4c30c2e5f371cf
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Nov 26 09:31:52 2019 -0800

    Enable SISGAMMARAMP macro on X.Org X Server
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit eac25b01caee75210fe4df60bf2363a642981d93
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Nov 26 09:31:37 2019 -0800

    Fix for xf86InterceptSigIll() discontinuation in X Server 1.20
    
    xf86InterceptSigIll() will still be used on X.Org X Server 1.19 or
    older.
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 5d816e15d8bbafa59b072e5fd561e1897a0ea04b
Author: Kevin Brace <kevinbrace@bracecomputerlab.com>
Date:   Tue Nov 26 09:31:22 2019 -0800

    Do not call xf86DisableRandR() for X Server 1.20
    
    This is needed for X Server 1.20 support.
    
    Signed-off-by: Kevin Brace <kevinbrace@bracecomputerlab.com>

commit dfe2ce49b5e9664787f5677507eba7ea0446fb7e
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Fri Jul 26 15:44:13 2019 -0700

    Version bumped to 0.11.0
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 16fe43012005f249375e83ebf43da76d6de67cb7
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Thu Jul 18 15:31:14 2019 -0700

    Convert text format specifier type to unsigned short
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 9e42918588b65860422cb296a92ecede15db7419
Author: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Date:   Sat May 4 16:57:57 2019 +0200

    configure.ac: fix cross-compilation
    
    AC_CHECK_FILE can't be used when cross-compiling
    
    [Retrieved from:
    https://git.buildroot.net/buildroot/tree/package/x11r7/xdriver_xf86-video-sis/0001-cross.patch]
    Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

commit 22d3c79f9718dada0d8ef386a3a2cd2db31d7bc8
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Dec 17 18:53:46 2018 -0600

    Convert EXA support preprocessor macro to USE_EXA
    
    All the other DDXs do it this way.
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 0baf5baf7ecb0197961c8ce92943fedba852e437
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Dec 17 15:23:07 2018 -0600

    Eliminate constant related compilation warnings for native functions
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 0b2cce041e445cee8a8308b9ae4ea70794ae8c13
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Dec 17 15:08:45 2018 -0600

    Eliminate swap macro related unused variable compilation warnings
    
    Unfortunately, commit c530ebb5d4ad0663838a0132e3610d713eaaa640 did not
    the check for ABI_VIDEODRV_VERSION where the swap macros are actually
    used in the code. Checking for ABI_VIDEODRV_VERSION suppresses unused
    variable compilation warnings for newer versions of the X Server.
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 301cefae671cb2a4f25b068b0ef2ea9331ae17f3
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Dec 17 15:07:55 2018 -0600

    Suppress logical operation and parenthesis related compilation warnings
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 940eed5b73b28d3067b025e583ebf257cdd4603f
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Dec 17 15:06:53 2018 -0600

    Eliminate set but not used variable compilation warnings
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 7e75c8b1e944132186f8b3a9227d0eaf651b1206
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:09:21 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3fcdc11644f65744c1980e24f860bd20fc4cc782
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 10 13:03:46 2018 -0800

    Remove obsolete B16 & B32 tags in struct definitions
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 413dfdfc456d4b8a33c55012227850b1bdc07d84
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Wed Jul 11 21:15:33 2018 -0700

    Elimination of many "variable set but not used" compilation warnings
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 5559abc347a698ed0baf79ba7d57b4bc0056f33e
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Wed Jul 11 21:02:37 2018 -0700

    Add conditional compilation directives to suppress compilation warnings
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 31f3dd0df2bc855ba9955b588cbcaaa25e3e60d6
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Wed Jul 11 17:09:04 2018 -0700

    Minor adjustment to the compilation order
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit a50b2b3412dd8e7f3916acb142c942e85ffcb3e5
Author: Emil Velikov <emil.velikov@collabora.com>
Date:   Mon Jul 17 12:01:57 2017 +0100

    xf86-video-sis: remove the GlxSetVisualConfigs stub and friends
    
    The function was an empty since 2008 at least. Remove it alongside the
    unused GLX visuals code.
    
    With this all the GL/GLX dependencies in the driver are gone.
    
    Cc: Connor Behan <connor.behan@gmail.com>
    Cc: Thomas Klausner <wiz@NetBSD.org>
    Signed-off-by: Emil Velikov <emil.velikov@collabora.com>

commit 4b1356a2b7fd06e9a05d134caa4033681c939737
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Feb 16 11:21:27 2017 -0500

    Remove reference to ->virtualFrom
    
    The core will print this information as well anyway.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d8b449d331a16e80a75382de60f10b3670ad4cf0
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:22 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit e281d49ee462afe27f52be8334c67613216a62a6
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 96f78918e84971578f5217affba31a535227d947
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 576d819d534c22e7b9cd1488e847b95ed856f527
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:14 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9c55c0de3e96d2758c1fe5176531b98c7009bdca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:13 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3b1aca65448a0660d8ecb60b2431a306b66d5a5a
Author: Matt Turner <mattst88@gmail.com>
Date:   Tue Jan 17 14:45:31 2017 -0800

    xf86-video-sis 0.10.9
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 96fee560cd8bf7bf27048ce5fe67b7af6838c8d0
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 19 10:03:56 2016 -0400

    Adapt Block/WakeupHandler signature for ABI 23
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 328073e46f9b9fcc09e637c94496c90273a0a4f6
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Sun Sep 13 23:28:53 2015 +0200

    Fix arguments for miSetPointerPosition.
    
    For the call for the API between versions 5 and 15.
    
    Reviewed-by: Connor Behan <connor.behan@gmail.com>

commit 13b56dc68af8cc41f4fd44115302a3ebbe6662a1
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Aug 29 16:35:43 2015 -0700

    xf86-video-sis: bump to version 0.10.8.
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit e834b2cdaedccff5e13cef86af23e46992c2530a
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Aug 3 13:22:24 2015 -0400

    Remove upload / download EXA hooks
    
    Support based on something other than libc memcpy was never added, so
    these functions did not improve upon software fallback at all.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 0f50f8c3db2b9f1c9d4ecab8ad278e9db6418a92
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Nov 12 09:27:33 2014 +1000

    sis: force build, who uses this crazy code anyways

commit d2597696ba81862d80ec17b978d8370c58572e27
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Nov 12 08:04:21 2014 +1000

    sis: more build fixes against master X server.

commit d0550de19cacab3e591641ba358a72fbc798b231
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 22 12:45:02 2014 +1000

    sis: fix build against latest xserver

commit 49796d6a3274adc0250ee07faa6bc63e41c98740
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Nov 22 08:21:18 2013 +1000

    Fix format-security warnings
    
    sis_driver.c: In function 'SISErrorLog':
    sis_driver.c:432:5: error: format not a string literal and no format arguments [-Werror=format-security]
         xf86DrvMsg(pScrn->scrnIndex, X_ERROR, str);
         ^
    sis_driver.c:439:5: error: format not a string literal and no format arguments [-Werror=format-security]
         xf86DrvMsg(pScrn->scrnIndex, X_ERROR, str);
         ^
    sis_driver.c: In function 'SiSUpdateXineramaScreenInfo':
    sis_driver.c:1917:4: error: format not a string literal and no format arguments [-Werror=format-security]
        xf86DrvMsg(pScrn1->scrnIndex, X_INFO, rectxine);
        ^
    sis_driver.c:1924:8: error: format not a string literal and no format arguments [-Werror=format-security]
            xf86DrvMsg(pScrn1->scrnIndex, X_INFO, rectxine);
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0a4336efaafac4c34d4287b5df586bbb418f7f76
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 26 14:27:17 2013 -0700

    Fix HDisplay/VDisplay typos
    
    Found by gcc -Wlogicalops:
    
    sis_driver.c: In function 'SiS_CheckModeCRT2':
    sis_driver.c:13754:5: warning: logical 'and' of mutually exclusive tests is always false [-Wlogical-op]
    sis_driver.c:13755:6: warning: logical 'and' of mutually exclusive tests is always false [-Wlogical-op]
    sis_driver.c:13756:6: warning: logical 'and' of mutually exclusive tests is always false [-Wlogical-op]
    sis_driver.c:13758:5: warning: logical 'and' of mutually exclusive tests is always false [-Wlogical-op]
    sis_driver.c:13759:6: warning: logical 'and' of mutually exclusive tests is always false [-Wlogical-op]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 7d4402786b758de3e6ce2641e15a39d612d5c518
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Oct 15 19:11:30 2012 -0400

    Stop including xf86Priv.h
    
    As the name might suggest, it's server-private.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 926d4f655c8491b68a338f50c810f6729686ec9f
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Sep 25 08:54:51 2012 -0400

    Remove mibstore.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 339fb3bc032b9f35b07b90480ae82a0fd352e078
Author: Jan Lindemann <jan@jannet.de>
Date:   Thu Aug 30 20:09:10 2012 +0200

    Replace xf86UnMapVidMem with pci_device_unmap_range
    
    Mixing pci_device_map_range with xf86UnMapVidMem doesn't work too well.
    
    X.Org bug#18028 <https://bugs.freedesktop.org/show_bug.cgi?id=18028>
    
    Bug found by Bryan Henderson <bryanh@giraffe-data.com>
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 8c5127a6815935635b84835055bf4c2501c0bf6e
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-sis: bump to version 0.10.7
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit c3d8d70edd06b8ecedd341df8b33ba71c01e64b3
Author: Dave Airlie <airlied@gmail.com>
Date:   Sun Jul 15 19:55:19 2012 +1000

    sis: add xaa configure support
    
    SIS is already plumbed to not need XAA, just hook it up.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 314d56d0addfaa5c24d14de675416b3aca7f4a19
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jun 29 20:40:01 2012 -0700

    Make SiSRegInit & SiSSetLVDSetc args match in both headers that define them
    
    Adds include of "sis_dac.h" to init.c to force compilers to compare the
    definitions, making it obvious that sis_dac.h defined an extra argument
    to SiSSetLVDSetc that the function itself didn't have, and that SiSRegInit
    expected an unsigned long (in the form of SISIOADDRESS), not the unsigned
    short that sis_dac.h claimed to pass it.
    
    Found by the Parfait 1.0 bug checking tool:
    
    Error: Function Call Mismatch
       Function call with extra args: Forward declaration of function 'SiSSetLVDSetc' does not match its definition
          Function expects 1 argument (SiS_Private*); given 2 (SiS_Private*, unsigned short)
            at line 604 of driver/xf86-video-sis/src/sis_dac.c in function 'SiS300Restore'.
              Function defined at line 1153 of driver/xf86-video-sis/src/init.c.
    [repeated for each call]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aa79b0f5dbbeda194916365539d06c3c090b80d2
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 2 13:19:04 2012 +0100

    sis 0.10.6 release.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit df17d3039e856c13b0476122a01b8c20f7d2de88
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 2 13:16:26 2012 +0100

    sis: fix build against older servers.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 331c276b47af1140a64125bff39901f8a8271eb7
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 2 13:13:42 2012 +0100

    sis: 0.10.5 release
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f6d49466ca538c65fa8c66352e421c2624e204f1
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 09:50:31 2012 +0100

    sis: drop xf86PciInfo.h
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 1b20cd63a974f792bd15e13d1c6caa3bbabbe106
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 09:46:42 2012 +0100

    sis: port to new compat API.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e067fc080c653a5d47cd319ca1a7afeebe6c7c4e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 19:52:38 2012 -0700

    xf86-video-sis 0.10.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f5dafa24d825a7d279c8177422c66b997b82d240
Author: Johannes Obermayr <johannesobermayr@gmx.de>
Date:   Mon Feb 6 23:15:31 2012 +0100

    Fix build with XInput version 12.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bdaf1ba97cf8b0abb5aeee97a822ee466bf8f5f5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 17 15:21:26 2012 +1000

    Undo typos from last commit
    
    Reported-by: Tormod Volden <debian.tormod@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9c1f8f775ca692858fd88e325ef815cc49e55805
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jan 4 13:58:01 2012 +1000

    Untangle XF86DRI from the driver-specific DRI define
    
    XF86DRI is defined by xorg-server.h, so --disable-dri in the sis driver
    itself does exactly nothing other than not fill in the CFLAGS and thus stop
    the driver from compiling.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 16724f3ecd322c64d9ee164fb122d4285d9cef08
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 31 15:03:21 2011 +1000

    Use miPointerSetPosition, not miPointerAbsoluteCursor
    
    miPointerAbsoluteCursor was removed in '09.
    
    Technically this shouldn't just work on the VCP since any master pointer may
    end up in the dead area. However, I suspect the Venn diagramm of MPX users
    and sis merged framebuffer users shows little overlap.
    
    miPointerSetPosition's prototype changed a few times, these are a bunch of
    untested ifdefs that should be correct according to the git history.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 3e0d8e11927b8c68f6531eef39eb5bca557e887b
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:28:33 2011 -0500

    Fall back to shadowfb if XAA is unavailable
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 2b459f385dc2f1b5e769e2ce84b6f4ec099c0a23
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Oct 31 11:57:49 2011 -0700

    Build fix for older servers (error: conflicting types for 'pciTag')
    
    /usr/include/xorg/xf86Pci.h:254:25: note: previous declaration of 'pciTag' was here
    
    Reported-by: Johannes Obermayr <johannesobermayr@gmx.de>
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 0ab07a477a4916923a13c073c3fd6e575e79f725
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Oct 30 11:09:30 2011 -0700

    Use pci_device_map_legacy rather than xf86MapDomainMemory on newer servers
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 77046f9be08295dbca69b51987df3308a284d87e
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 17:44:55 2011 -0700

    Convert use of LookupWindow to dixLookupWindow
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 06f8213bffd27360d5cc3df0cad19b102cc928e2
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 17:32:21 2011 -0700

    pciTag was removed from xorg-server, so provide it in-driver until this is updated to use libpciaccess
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 03644653d051e4f5b8498c790626a9bed2756a89
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 17:25:18 2011 -0700

    Silence warnings by using newer xf86dgaproto
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4b0aab53a1e8500578f86178761f4c805b2a5990
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 00:40:32 2011 -0700

    Build fix for ABI Version 12
    
    ABI Version 12 removes support for multiple PCI domains.  If you need to
    use this driver on a system with more than one PCI domain, you should
    either port this driver to using libpciaccess directly or stick with an
    older server.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 69aa104ed064ca08196e7310e232ddb5c9a590bd
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 00:35:02 2011 -0700

    Use unsigned long rather than deprecated IOADDRESS
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 28f3a899a1e317b665cc1925ce7a4e34818cfd1f
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Oct 7 12:32:22 2011 -0700

    Use malloc/calloc/realloc/free directly
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit c530ebb5d4ad0663838a0132e3610d713eaaa640
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Oct 7 12:24:40 2011 -0700

    Fix build failures with recent server changes to swapl and swaps
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 89e9a38f0ccda9b9ee973f5cd5e57cad73eb7421
Author: Matt Turner <mattst88@gmail.com>
Date:   Sun Sep 25 12:32:08 2011 -0400

    Fix wrong-sized swaps
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 94f23a5672ebeac61cc32e34882d637aa0c7f2f4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 4 21:00:03 2011 -0700

    Convert sis.man from XORG_RAWCPP to using sed like other drivers
    
    Upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use automake provided $(AM_V_GEN) and XORG_DEFAULT_OPTIONS provided $(SED)
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit b3368984ae83355d70e06eedefff28c1b84eb16c
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:51 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c2a6ffda81b343d09dfae6ef68983bf28194a00c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit ae7ac7fe58a1311544b9d0091614a61d29eef171
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fe34acc246e938bd190af11a0361a2541fcc590c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:41 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4d77c76f9c94804efd942328722fb1262df74f5a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:23 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2a3e9ff44670c0763557ce9c87b9946bd4349027
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 00d2b8790a0aa732d0abb4688330749a1c44763d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:54:12 2010 -0400

    config: remove unrequired AC_SUBST([DRI_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ca0dd9ac3d78991f20e19e9b1cbb06b8707698bd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:58 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 96daa64b9ce5a44474fa0c62c5cc5971496120ee
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 517a7563c43841ecb1cb00577540118f93856df8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 494ce36b3bf1cfffb12c70ea969381766b46e622
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 519a4653ffdd5b643b6f3c0f38eb2cad8366215b
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 07:16:18 2010 -0300

    Purge macros NEED_EVENTS and NEED_REPLIES
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 75a8a7c51547805358ced39e1a04820e17133264
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 5 14:23:33 2010 +1000

    sis 0.10.3

commit ac05588db7da21d1ff2cb13bba11b66bb5d5c38b
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Jun 29 21:37:50 2010 +0100

    Replace some broken URLs with winishhofer.eu
    
    The old one seems to be a casino web site nowadays.
    
    Debian bug#517075
    
    Reported-by: Nigel Tamplin <fuse@f2s.com>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 116d40678dfbb851fd401103f9b7447f4d47eb7c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 14 08:14:30 2010 -0400

    README: keep the text version of README, discard the sgml version
    
    The linuxdoc doc tool is deprecated.
    README files are exclusively text files.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5f9fd07d54b8bc26c0403e1b46acce23db1365d9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 14 07:58:26 2010 -0400

    README: fix linuxdoc content
    
    defs.ent are located under X11 directory
    ident tag is not a Linuxdoc tag
    replace docbook email tag with linuxdoc email tag
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1bec9268f503e249cf1a20f2597f3f6c78a13af4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 10:56:05 2010 -0400

    COPYING: replace stub file with actual Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 13583aba3e2abafd55fc894070cf5f050bbea4f2
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue May 18 13:11:01 2010 -0400

    Remove mibank.h reference
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 47233238a659318cae6b7d0f71ee44b689e249c3
Author: david@fries.net <david@fries.net>
Date:   Tue Sep 15 22:32:45 2009 -0500

    SISVGABlankScreen: only update the hardware if we're changing the state
    
    The command `xset s reset` will reset the X server screensaver to
    reset the timer for the screensaver and dpms.  If the display is
    already on, it should do nothing as far as the hardware goes.  In the
    SISVGABlankScreen routine it requires as reset to update the register,
    but that will disrupt the VGA signal and cause the monitor to resync
    leaving the screen blank for a couple seconds.  I have a program that
    wants to keep the screensaver from coming on, but allow normal
    operation when it isn't running.
    
    Debian bug#546838 <http://bugs.debian.org/546838>
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit dff79298ae04cec6233cd043cbf3aeda6db67d42
Author: Tiago Vignatti <tiago.vignatti@nokia.com>
Date:   Thu May 6 20:15:04 2010 +0300

    Document better the resource access hack
    
    Signed-off-by: Tiago Vignatti <tiago.vignatti@nokia.com>

commit d33e45dcaee511d5f09ac5f68680e96f3ad60076
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 13:55:44 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 2c9baaaa8ace01d94e95ca4ad7216146339940dd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 21:47:35 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit cbfa94ccb1ee6213342014f3c7063362acb274ff
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit a69569c72ea19d4d76c57a8077542fee4aeb501a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit 8d766ddd89a4d9d5c02ad186b049cca2d806a3d8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit b92482e522d3b8a6526c05bf491d3e768f282714
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:22 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 8655ebf788bb281f3f566d6335943527155b91a5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 13:04:14 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit ef03b3abab51a5bf81813a524d177370053ddfa0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:18 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 8370499d4035ec7a5c8e1f1b04d5a6c404883442
Author: Matteo Delfino <kendatsuba@gmail.com>
Date:   Wed Oct 21 10:26:45 2009 -0400

    Fix BIOS read on 650 and 760. (#19070)
    
    Signed-off-by: Matteo Delfino <kendatsuba@gmail.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 9e50319293b10508bba4e3acef4a2851e7ab1f7a
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 30 12:04:29 2009 +1000

    sis: bump for release 0.10.2

commit 8c3eca873717e877048c2bde345c02b1e9099e50
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:41 2009 +1000

    sis: change to using ABI version check

commit 9e1ebb9530bbb71be7fcab9e6f8f9a475be72efe
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:37 2009 +1000

    sis: update for resources/RAC API removal

commit 59ea80738d22c69a2850fd7ff89bd75330cc310b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 16 11:55:25 2009 +1000

    Update to xextproto 7.1 support.
    
    DPMS header was split into dpms.h (client) and dpmsconst.h (server). Drivers
    need to include dpmsconst.h if xextproto 7.1 is available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 74553b5ee476a0dd28e136f5a33a546ea0c3ef28
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 28 15:19:25 2009 -0400

    Remove useless loader symbol lists.

commit 933dd8f860883c613acb5bcdf6b66100dbdfa952
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri May 1 16:57:22 2009 -0700

    Correct bounds check of blitClip array access
    
    Array is defined as blitClip[NUM_BLIT_PORTS], so invalid indexes
    are >= NUM_BLIT_PORTS, not just > NUM_BLIT_PORTS
    
    [This bug was found by the Parfait bug checking tool.
     For more information see http://research.sun.com/projects/parfait ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 49c641b638ac36d2a559555c04a3bd2777c8d071
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri May 1 16:52:10 2009 -0700

    Make sisRegs3D4 big enough to hold all values written to it
    
    Increase size from 0xff to 0x100 since SiS315Save (sis_dac.c line 752)
    writes values into sisRegs3D4[0x00..0xff] if ChipType >= XGI_20
    
    [This bug was found by the Parfait bug checking tool.
     For more information see http://research.sun.com/projects/parfait ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 5583c2342d873c0998ae73828246356867285460
Author: Chris Ball <cjb@laptop.org>
Date:   Fri Feb 27 10:57:35 2009 -0500

    Revert "Build fixes for EXA3"
    
    This reverts commit 7adc184e5e0f3df00423ea99b325d24764c1c067.
    The EXA developers have backed out this ABI bump.
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit 7adc184e5e0f3df00423ea99b325d24764c1c067
Author: Chris Ball <cjb@laptop.org>
Date:   Tue Feb 24 12:32:01 2009 -0500

    Build fixes for EXA3
    
    * EXA in xserver head now requires -DEXA_DRIVER_KNOWN_MAJOR=3
    * EXA3 drops the UploadToScratch hook, so guard it for < 3 only.
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit e4f6a2fcd5712d0f994d3719b9c6c13f5b02bc7c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:34:01 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page
